-- Default configuration file
-- Copy to TBD to override values. This file will be overridden on update.
local awful = require("awful")


local config = {}

-- General
config.modkey = "Mod4"

-- Terminal
config.terminal = "terminator"

-- Theme
-- Change to gears.filesystem.get_themes_dir() .. "default/theme.lua" to use default awesome theme
config.theme = awful.util.getdir("config") .. "/default_theme.lua"

-- Screenshot utility
config.screenshot_utility_command = "flameshot gui"
config.screenshot_utility_auto_start = true
config.screenshot_utility_auto_start_command = "flameshot"

-- Keyboard layout
config.kbSwitchCmd = "setxkbmap"
config.kbLayouts = { "fr", "us" }

-- Run menu
config.runMenu = "rofi -show run -config " .. awful.util.getdir("config") .. "/rofi/themes/paper-float.rasi"
config.windowSwitcher = "rofi -show window -config " .. awful.util.getdir("config") .. "/rofi/themes/paper-float.rasi"

-- Media control
config.volume_osd_timeout = 2


return config
